Subject: Re: [PATCH net-next,V2] net: mana: Add support for vlan tagging

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Jun 2023 13:38:05 -0700

On Wed,  7 Jun 2023 13:34:02 -0700 Haiyang Zhang wrote:
> To support vlan, use MANA_LONG_PKT_FMT if vlan tag is present in TX
> skb. Then extract the vlan tag from the skb struct, and save it to
> tx_oob for the NIC to transmit. For vlan tags on the payload, they
> are accepted by the NIC too.
> 
> For RX, extract the vlan tag from CQE and put it into skb.
> 
> Signed-off-by: Haiyang Zhang <[email-masked]>
> ---
> V2:
> Removed the code that extracts inband tag, because our NIC accepts
> inband tags too.

Please don't rush multiple versions, if your previous version is buggy
you have to reply to it saying so and then wait before posting v2.

Reviewing something just to find there is a v2 already posting is one
of the more annoying experiences for maintainers and reviewers.

Quoting documentation:

  Resending after review
  ~~~~~~~~~~~~~~~~~~~~~~
  
  Allow at least 24 hours to pass between postings. This will ensure reviewers
  from all geographical locations have a chance to chime in. Do not wait
  too long (weeks) between postings either as it will make it harder for reviewers
  to recall all the context.
  
  Make sure you address all the feedback in your new posting. Do not post a new
  version of the code if the discussion about the previous version is still
  ongoing, unless directly instructed by a reviewer.
  
See: https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#resending-after-review